MP4(3)

NAME

MP4GetTrackNumberOfSamples - Get the number of samples in a track

SYNTAX

#include <mp4.h>

u_int32_t MP4GetTrackNumberOfSamples(
    MP4FileHandle hFile,
    MP4TrackId trackId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track for which the number of samples is desired.

RETURN VALUES

Upon success, the number of samples in the track. Upon an error, 0.

DESCRIPTION

MP4GetTrackNumberOfSamples returns the number of samples in the specified track in the mp4 file. Sample id's are the consecutive sequence of numbers from 1 to the total number of samples, i.e. 1-based indexing, not 0-based indexing.

SEE ALSO

MP4(3)